Expand my Community achievements bar.

Applications for the 2024-2025 Adobe Experience Manager Champion Program are open!

Archetype 35 Error

Avatar

Level 6

Hi Team,

 

Hope you all good,

 

We created a new AEM site with latest archetype 35.

Now, we want to do following:

 

1) "All" module to be commented out in Parent POM.xml as we dont need to use this module.

 

2) Next is UI.apps should embed core bundle like below:

 

arvind_0-1642580431667.png

 

 But It gives below error: 

 

[ERROR] ValidationViolation: "jackrabbit-packagetype: Package of type 'APPLICATION' is not supposed to contain OSGi bundles or configurations!", filePath=jcr_root\apps\mymobile-packages\application\install\mymobile.core-1.0.0-SNAPSHOT.jar, nodePath=/apps/mymobile-packages/application/install/mymobile.core-1.0.0-SNAPSHOT.jar

 

 

I read that application type project does not embedd any OSGI Bundlem but with almost similar struture,with some old archtype, It was happening like that only.

 

 

 

 



 

 

3 Replies

Avatar

Level 2

Can someone from community respond here, since this problem exists, even as of today. with filevault-package-maven-plugin upgraded to 1.3.2

@arvind @khannapiyush36 

With the new archetype, your install folder should go inside ui.config not ui.apps.All bundles and jar will go in this path.

Path to put your install folder: \ui.config\src\main\content\jcr_root\apps\<your-project-foldername>\install

And add a entry in filter.xml for ui.config module.

<filter root="/apps/<your-project-foldername>/install" mode="update"/>

This will resolve the issue as ui.apps package doesn't support jars and bundles and this should go with ui.config package

Avatar

Level 1

With the new archetype, your install folder should go inside ui.config not ui.apps.

Path to put your install folder: \ui.config\src\main\content\jcr_root\apps\<your-project-foldername>\install

And add a entry in filter.xml for ui.config module.

<filter root="/apps/<your-project-foldername>/install" mode="update"/>

This will resolve the issue as ui.apps package doesn't support jars and bundles and this should go with ui.config package